Subject: Re: [Roll] DIO compression option

From: "Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs)" <[email-masked]>
Date: Tue, 27 Oct 2015 08:13:46 +0000

If the question is about network-wide dissemination of information, then there are other candidate information as well.
For e.g. there is no good way  of disseminating core-rd<https://tools.ietf.org/html/draft-ietf-core-resource-directory-05> address information in multihop LLNs (please correct me if wrong).
The core-rd RFC mentions discovery procedures which are not well-suited for LLNs (for e.g. draft section 5.1<https://tools.ietf.org/html/draft-ietf-core-resource-directory-05#section-5.1> suggests use of multicast query to fetch the RD details).
It would be nice to have DIO options to disseminate such information in a controlled way (such as the use of DIS to request options as Pascal suggested).

Please note that core-rd example here serves just as a reference for something which requires network-wide dissemination.

Thus  imho, rather than having a draft specific to DIO 6CO dissemination it can be generalized to something like “RPL Options for Network-wide dissemination … “ and include all (eventually build on to it)  the different options possible.

Cheers,
Rahul

From: Roll [mailto:[email-masked]] On Behalf Of Pascal Thubert (pthubert)
Sent: 25 September 2015 PM 04:20
To: Routing Over Low power and Lossy networks
Subject: Re: [Roll] DIO compression option

Hello Cenk

The 6TiSCH architecture is the first IETF effort that combines RPL and 6LoWPAN ND and suggests a way of putting them together. The effort is not complete but it raises that sort of coexistence problem.

One of the conclusions is that the 6BBR and the RPL root should be collocated so that a root gets a device unique ID (from 6LoWPAN ND) and a sequence counter (from RPL) since in practice both are needed for the backbone router operation. The architecture also suggests that RPL DAO sequence counter should be used as TID in an extended ARO option.

This conclusion matches yours that even though the 2 protocols are designed to survive stand alone, some simplifications and pairings are needed when they coexist.

ABRO is not the only one. The DIO does not provide the router SLLA for instance, so the RA is still needed for that as well.

I’ll support, and even contribute if needed, to work at ROLL that allows ABRO, SLLAO, MTUO and 6CO in DIOs. The work may impact the DIS that can be used to request some options that do not need to be carried in all DIOs in a fashion similar to the DODAG Configuration option. It may also discuss in more details how DIOs are sent on constrained maximum frame size when multiple options are needed.

Question to the chairs: is that work within WH charter boundaries?

Cheers,

Pascal

From: Roll [mailto:[email-masked]] On Behalf Of Cenk Gündogan
Sent: jeudi 24 septembre 2015 22:56
To: [email-masked]<mailto:[email-masked]>
Subject: Re: [Roll] DIO compression option

Hello Carsten, Pascal, Randy, *

I like the idea of having the 6CO included into RPL, simply because it already includes the PIO
and there is no RPL-ish way to tag any prefix information with context identifiers in 6LoWPANs.
Hence, and that is just my opinion, it is not desired, but a necessity to add the 6CO to RPL's
known options list.

Also: RFC 6775#1.4 clearly states that in order to substitute multihop prefix distribution,
it is also necessary to substitute the distribution of header compression contexts.
To quote RFC 6775 "... [they] go hand in hand."

With this quote in mind, adding the 6CO to RPL and using them (PIO + 6CO) in DIOs could be
the first step in dropping the ABRO overhead in RA messages when using RPL in a 6LoWPAN.
Currently, running RPL and 6LoWPAN-ND simultaneously would require to handle the versioning
of DODAGs (by DODAG root) and the versioning of ABRO related information (PIO + 6CO) (by 6LBR).
Without looking too much into details, and please correct me if I am wrong, but:
The ABRO and the DIO seem to have a few similarities. Both have versioning and both have a
concept of an "origin" (DODAG-ID <-> 6LBR Address).

So, wouldn't it be possible to abandon the ABRO in RPL domains where RPL also controls the PIOs and 6COs ?

Cheers,
Cenk
On 24.09.2015 17:24, Turner, Randy wrote:

Yes, I think that’s what I’m doing with the compression context option (syntactically recreating it for DIO) – the options’ interpretation is identical to RFC 6775 – the only difference I can possibly see between the 6775 text and the option I proposed is regarding “when” these options might appear in DIOs from the root.

Randy

Re: [Roll] DIO compression option
Carsten Bormann <[email-masked]><mailto:[email-masked]> Thu, 24 September 2015 14:45 UTCShow header
> Yes, I mentioned this in Prague (the fact that 6775 6CO already exists).
>  The Zigbee NAN group decided that the additional traffic imposed by
> neighbor discovery was not required (in the presence of DIO and DIO
> options) – however, we still would like to receive compression options,
> and we’ve already paid the DIO price traffic-wise, so we’re piggy
> backing the compression option onto DIOs we’re already handling.
>
>
>
> I’m trying to maintain the context lifecycles per 6775, so the existing
> text will be modified to include the “lifetime” field in the option (the
> “C” bit already exists)

So is the observation fair that this is essentially about repackaging
6CO into the syntactic environment of a ROLL message?

I think we could do that for the rest of the 6Lo-ND messages as well and
reduce the cognitive dissonance of sending ND information with ROLL
messages.

Grüße, Carsten

P PLEASE CONSIDER OUR ENVIRONMENT BEFORE PRINTING THIS EMAIL.

This e-mail (including any attachments) is confidential and may be legally privileged. If you are not an intended recipient or an authorized representative of an intended recipient, you are prohibited from using, copying or distributing the information in this e-mail or its attachments. If you have received this e-mail in error, please notify the sender immediately by return e-mail and delete all copies of this message and any attachments. Thank you.

_______________________________________________

Roll mailing list

[email-masked]<mailto:[email-masked]>

https://www.ietf.org/mailman/listinfo/roll

---

From: "Pascal Thubert (pthubert)" <[email-masked]>
Date: Tue, 27 Oct 2015 09:46:42 +0000

Please do not overload the control plane with non control info!

RPL has a multicast built in and we could leverage that easily for all nodes with scope based on Ralph's work for scoping.

The flood could be using the dodag redundant shape for Better coverage.

Cheers,

Pascal

Le 27 oct. 2015 à 17:14, Rahul Arvind Jadhav (Rahul Arvind Jadhav, 2012 Labs) <[email-masked]<mailto:[email-masked]>> a écrit :

Cheers,
Rahul

Hello Cenk

Cheers,

Pascal

Cheers,
Cenk

Randy

Grüße, Carsten

Roll mailing list

---

From: Michael Richardson <[email-masked]>
Date: Fri, 30 Oct 2015 23:18:31 -0400

{clearly, I should have read all of this thread earlier}

Pascal Thubert (pthubert) <[email-masked]> wrote:
    > I’ll support, and even contribute if needed, to work at ROLL that
    > allows ABRO, SLLAO, MTUO and 6CO in DIOs. The work may impact the DIS
    > that can be used to request some options that do not need to be carried
    > in all DIOs in a fashion similar to the DODAG Configuration option. It
    > may also discuss in more details how DIOs are sent on constrained
    > maximum frame size when multiple options are needed.

    > Question to the chairs: is that work within WH charter boundaries?

No, it doesn't fit into the words of our current charter.
Spirit: I think so.... our goal is to make compression better... if we can
distribute 6CO better, that would help, I think.

I've asked Ines to add this to our agenda.

-- 
Michael Richardson
-on the road-